Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST 'https://api.mayar.id/hl/v1/customer/login/portal' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data-raw '{
    	"email": "mraihannanewpatch@gmail.com"
	}
'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "url": "Sudah kami kirim ke email anda"
    }
}
Endpoint:
https://api.mayar.id/hl/v1/customer/login/portal

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

email
string
required
Customer email.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
The main data returned (detailed customer/user information).

data Structure (Array Of Object)

url
string
Information about the magic link request that was made.